## org.eclipse.emf.cdo.spi.common
Class AbstractQueryResult<T>

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.AbstractQueryResult<T>

All Implemented Interfaces:
  java.util.Iterator<T>, BlockingCloseableIterator<T>, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.collection.CloseableIterator<T>

Direct Known Subclasses:
  AbstractQueryIterator

    public class AbstractQueryResult<T>

extends java.lang.Object
implements BlockingCloseableIterator<T>

Since:
  2.0

Constructor Summary
`AbstractQueryResult(CDOCommonView view, CDOQueryInfo queryInfo, int queryID)`

Method Summary
`void` `close()`
`int` `getQueryID()`
`CDOQueryInfo` `getQueryInfo()`
`CDOQueryQueue<java.lang.Object>` `getQueue()`
`CDOCommonView` `getView()`
`boolean` `hasNext()`
`boolean` `isClosed()`
`T` `next()`
`T` `peek()` Non-blocking call.
`void` `remove()`
`void` `setQueryID(int queryID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractQueryResult

    public AbstractQueryResult(CDOCommonView view,
                               CDOQueryInfo queryInfo,
                               int queryID)

Method Detail

### getQueryInfo

    public CDOQueryInfo getQueryInfo()

### getQueue

    public CDOQueryQueue<java.lang.Object> getQueue()

### getView

    public CDOCommonView getView()

### getQueryID

    public int getQueryID()

### setQueryID

    public void setQueryID(int queryID)

### peek

    public T peek()

  Description copied from interface: `BlockingCloseableIterator`
  Non-blocking call.

  Specified by:
    `peek` in interface `BlockingCloseableIterator<T>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<T>`

### next

    public T next()

  Specified by:
    `next` in interface `java.util.Iterator<T>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<T>`

### close

    public void close()

  Specified by:
    `close` in interface `org.eclipse.net4j.util.collection.Closeable`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `org.eclipse.net4j.util.collection.Closeable`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.